libzypp 17.37.10

zypp::gzstream_detail::ZlibError Struct Reference

Helper class to ship zlib errors. More...

`#include <zypp-core/base/gzstream.h>`

## Public Member Functions
| ZlibError ()
std::string | strerror () const
| Return string describing the zlib error code.

## Public Attributes
int | _zError
| The zlib error code.
int | _errno
| errno, valid if zError is Z_ERRNO

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const ZlibError &obj)
| Stream output.

## Detailed Description

Helper class to ship zlib errors.

Definition at line 46 of file gzstream.h.

## Constructor & Destructor Documentation

## ◆ ZlibError()

zypp::gzstream_detail::ZlibError::ZlibError | ( |  | ) |
| inline

Definition at line 58 of file gzstream.h.

## Member Function Documentation

## ◆ strerror()

std::string zypp::gzstream_detail::ZlibError::strerror | ( |  | ) | const

Return string describing the zlib error code.

Definition at line 54 of file gzstream.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const ZlibError & | obj )
| related

Stream output.

Definition at line 71 of file gzstream.h.

## Member Data Documentation

## ◆ _zError

int zypp::gzstream_detail::ZlibError::_zError

The zlib error code.

Definition at line 51 of file gzstream.h.

## ◆ _errno

int zypp::gzstream_detail::ZlibError::_errno

errno, valid if zError is Z_ERRNO

Definition at line 56 of file gzstream.h.

The documentation for this struct was generated from the following files:

- zypp-core/base/gzstream.h
- zypp-core/base/gzstream.cc